<?php
require_once 'vendor/autoload.php';

require_once 'model/CachDung.php';
require_once 'model/DonVi.php';
require_once 'model/NhaSanXuat.php';
require_once 'model/ThuCung.php';
require_once 'model/KhachHang.php';
require_once 'model/HangHoa.php';
require_once 'model/DichVu.php';
require_once 'model/PhanLoai.php';
require_once 'model/Bill.php';
require_once 'model/BenhAn.php';
require_once 'model/PetVisit.php';
require_once 'model/LichHen.php';

require_once 'controller/TimeHelper.php';
require_once 'controller/PrintHelper.php';


$khachHang = new KhachHang();
$thuCung = new ThuCung();
$hangHoa = new HangHoa();
$donVi = new DonVi();
$dichVu = new DichVu();
$phanLoaiDV = new PhanLoai();
$bill = new Bill();
$benhAn = new BenhAn();
$petVisit = new PetVisit();



echo "<pre>";

//print_r($benhAn->getAllBenhAn());

//print_r($petVisit->getAllPetVisit());
//print_r($petVisit->getLastPetReVisit("687a05ccdc06dfb154069674"));
//print_r($petVisit->getListPetReVisit("687a05ccdc06dfb154069674"));
//print_r($khachHang->searchKhachHang("Nguyen"));

//print_r($khachHang->getAllKhachHang());
echo "</pre>";



/*echo (new MongoDB\Client("mongodb://localhost:27017"))
        ->selectDatabase('DB_PET')
        ->selectCollection('khach_hang')
        ->deleteMany([])->getDeletedCount();*/

//print_r($dichVu->getDichVu("6915f82c297df7fd3201c245","Từ 10kg - 15kg"));

//$hangHoa = (new MongoDB\Client)->DB_PET->hang_hoa;
//$inventory = (new MongoDB\Client)->DB_PET->inventory;

// Xóa tất cả hàng hoá
//$hangHoa->deleteMany([]);

// Xóa tất cả inventory
//$inventory->deleteMany([]);
?>